## php-ramsey-uuid 4.7.4

=== docs/requirements.txt ===
Sphinx==2.4.3
sphinx-rtd-theme==0.4.3
sphinxcontrib-phpdomain==0.7.0

## php-ramsey-uuid 3.9.3

=== debian/changelog ===
php-ramsey-uuid (3.9.3-2) unstable; urgency=medium

  * Source only upload for migration to testing
  * Remove Salsa CI config

 -- Robin Gustafsson <robin@rgson.se>  Sun, 06 Dec 2020 16:32:06 +0100

php-ramsey-uuid (3.9.3-1) unstable; urgency=medium

  * Initial release (Closes: #878881)

 -- Robin Gustafsson <robin@rgson.se>  Tue, 24 Nov 2020 18:02:03 +0100

=== debian/control ===
Source: php-ramsey-uuid
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Robin Gustafsson <robin@rgson.se>
Build-Depends:
 debhelper-compat (= 13),
 phpab,
 pkg-php-tools,
Standards-Version: 4.5.0
Homepage: https://github.com/ramsey/uuid
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-ramsey-uuid
Vcs-Git: https://salsa.debian.org/php-team/pear/php-ramsey-uuid.git
Rules-Requires-Root: no

Package: php-ramsey-uuid
Architecture: all
Depends:
 ${misc:Depends},
 ${phpcomposer:Debian-require},
Suggests:
 ${phpcomposer:Debian-suggest},
Replaces:
 ${phpcomposer:Debian-replace},
Breaks:
 ${phpcomposer:Debian-conflict},
 ${phpcomposer:Debian-replace},
Provides:
 ${phpcomposer:Debian-provide},
Description: RFC 4122 universally unique identifier (UUID) generator for PHP
 PHP library for generating and working with RFC 4122 version 1, 3, 4, and 5
 universally unique identifiers (UUID).
 .
 The library provides methods to generate version 1 (time-based), version 3
 (name-based and hashed with MD5), version 4 (random) and version 5 (name-based
 and hashed with SHA1) UUID objects.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	phpab -t debian/autoload.php.tpl -o src/autoload.php src

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none, \
   repacksuffix=+dfsg, dversionmangle=s/@DEB_EXT@//" \
   https://github.com/ramsey/uuid.git \
   refs/tags/v?([\d\.]+) debian uupdate

## php-ramsey-uuid 4.3.1

=== debian/changelog ===
php-ramsey-uuid (4.3.1-1) unstable; urgency=medium

  [ Robin Gustafsson ]
  * New upstream version 4.3.1
  * Build-Depend on dh-sequence-phpcomposer
  * Set upstream metadata fields: Security-Contact
  * Update package description with new features

  [ Katharina Drexel ]
  * Bump standards version
  * Update copyright date

 -- Robin Gustafsson <robin@rgson.se>  Sat, 23 Jul 2022 16:31:13 +0200

## php-ramsey-uuid 4.6.0

=== debian/changelog ===
php-ramsey-uuid (4.6.0-1) unstable; urgency=medium

  * New upstream version 4.6.0
  * Load dependencies in autoload.php
  * Use phpabtpl to generate autoloader
  * Add superficial autopkgtests

 -- Robin Gustafsson <robin@rgson.se>  Thu, 08 Dec 2022 23:36:07 +0100

=== debian/control ===
Source: php-ramsey-uuid
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders:
 Robin Gustafsson <robin@rgson.se>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-phpcomposer,
 phpab,
 pkg-php-tools (>= 1.41~),
Standards-Version: 4.6.1
Homepage: https://github.com/ramsey/uuid
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-ramsey-uuid
Vcs-Git: https://salsa.debian.org/php-team/pear/php-ramsey-uuid.git -b debian/latest
Rules-Requires-Root: no

Package: php-ramsey-uuid
Architecture: all
Depends:
 ${misc:Depends},
 ${phpcomposer:Debian-require},
Suggests:
 ${phpcomposer:Debian-suggest},
Replaces:
 ${phpcomposer:Debian-replace},
Breaks:
 ${phpcomposer:Debian-conflict},
 ${phpcomposer:Debian-replace},
Provides:
 ${phpcomposer:Debian-provide},
Description: RFC 4122 universally unique identifier (UUID) generator for PHP
 PHP library for generating and working with RFC 4122 version 1, 2, 3, 4, and 5
 universally unique identifiers (UUID). It also supports optional and
 non-standard features, such as version 6 UUIDs, GUIDs, and other approaches for
 encoding/decoding UUIDs.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	phpabtpl --basedir src composer.json > debian/autoload.php.tpl
	phpab -t debian/autoload.php.tpl -o src/autoload.php src

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

## php-ramsey-uuid 4.7.4

=== debian/changelog ===
php-ramsey-uuid (4.7.4-2) unstable; urgency=medium

  * Team upload
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Fri, 08 Mar 2024 09:35:03 +0100

php-ramsey-uuid (4.7.4-1) unstable; urgency=medium

  * New upstream version 4.7.4
  * Update standards version to 4.6.2
  * Use my debian.org e-mail address in Uploaders

 -- Robin Gustafsson <robin@rgson.se>  Tue, 25 Jul 2023 23:13:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders:
- Robin Gustafsson <robin@rgson.se>,
+ Robin Gustafsson <rgson@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-phpcomposer,
  phpab,
- pkg-php-tools (>= 1.41~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ramsey/uuid
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-ramsey-uuid
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-ramsey-uuid.git -b debian/latest

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	phpab -t debian/autoload.php.tpl -o src/autoload.php src

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

## php-ramsey-uuid 4.7.6

=== docs/requirements.txt ===
Sphinx==7.3.7
sphinx-rtd-theme==2.0.0
sphinxcontrib-phpdomain==0.11.1

=== debian/changelog ===
php-ramsey-uuid (4.7.6-1) unstable; urgency=medium

  * New upstream version 4.7.6
  * Use phpabtpl with system dependencies loading

 -- Robin Gustafsson <rgson@debian.org>  Sun, 09 Feb 2025 16:14:19 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper-compat (= 13),
  dh-sequence-phpcomposer,
  phpab,
+ pkg-php-tools (>= 1.47~),
 Standards-Version: 4.6.2
 Homepage: https://github.com/ramsey/uuid
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-ramsey-uuid

=== debian/tests/control ===
Test-Command: php -r 'require_once "Ramsey/Uuid/autoload.php";'
Restrictions: superficial
Features: test-name=load-library
Depends:
 php-cli,
 php-ramsey-uuid,

Tests: test-uuid4.php
Restrictions: superficial
Depends:
 php-cli,
 php-ramsey-uuid,
